ru.bitel.bgbilling.kernel.event.events

## Class ContractParamChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.events.ContractParamChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractParamChangedEvent
      extends QueueEvent

  Асинхронное событие - Изменен параметр договора.
  Вызывается после изменения параметра договора.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractParamChangedEvent()`
    `` | `ContractParamChangedEvent(int userId, int cid, int paramId, java.lang.Object value)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getParamId()` Возвращает код параметра договора.
    `java.lang.Object` | `getValue()` Возвращает значение параметра договора.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractParamChangedEvent

          protected ContractParamChangedEvent()

    - #### ContractParamChangedEvent

          public ContractParamChangedEvent(int userId,
                                           int cid,
                                           int paramId,
                                           java.lang.Object value)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие.
        `cid` - - id договора
        `paramId` - - id параметра договора
        `value` - - значение параметра договора

  - ### Method Detail

    - #### getParamId

          public int getParamId()

      Возвращает код параметра договора.
      Returns:
        paramId - id параметра

    - #### getValue

          public java.lang.Object getValue()

      Возвращает значение параметра договора.
      В зависимости от типа параметра договора значение может принимать следующие типы:
      - `Integer`
      - `String`
      - `Boolean`
      - `ContractAddressParamValue`
      - `ContractEmailParamValue`
      - `Date`
      - `PhoneParamValue`
      Returns:
        value - значение параметра